## org.eclipse.datatools.enablement.mysql.ddl
Class MySqlDdlGenerator

    java.lang.Object
      org.eclipse.datatools.enablement.mysql.ddl.shared.MySqlDdlGeneratorHelper
          org.eclipse.datatools.enablement.mysql.ddl.MySqlDdlGenerator

All Implemented Interfaces:
  DDLGenerator

    public class MySqlDdlGenerator

extends MySqlDdlGeneratorHelper

This class uses the MySqlDdlBuilder to generates the sql scripts.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.enablement.mysql.ddl.shared.MySqlDdlGeneratorHelper
`MySqlDdlGeneratorHelper.SingletonOptionDependency`

Constructor Summary
`MySqlDdlGenerator()`

Method Summary

Methods inherited from class org.eclipse.datatools.enablement.mysql.ddl.shared.MySqlDdlGeneratorHelper

`createSQLObjects, createSQLObjects, dropSQLObjects, dropSQLObjects, generateAssertions, generateCKConstraints, generateCommentStatement, generateCreateStatement, generateDatabase, generateDDL, generateDDL, generateDropStatement, generateFKConstraints, generateFullyQualifiedNames, generateFunctions, generateIndexes, generatePKConstraints, generateQuotedIdentifiers, generateSchemas, generateSequences, generateStoredProcedures, generateTables, generateTriggers, generateUserDefinedTypes, generateViews, getOptionCategories, getOptions, getSelectedOptions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySqlDdlGenerator

    public MySqlDdlGenerator()